Package org.eclipse.swt.events

## Interface TraverseListener

All Superinterfaces:
  `EventListener`, `SWTEventListener`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface TraverseListener
    extends SWTEventListener

Classes which implement this interface provide a method that deals with the events that are generated when a traverse event occurs in a control.

After creating an instance of a class that implements this interface it can be added to a control using the `addTraverseListener` method and removed using the `removeTraverseListener` method. When a traverse event occurs in a control, the keyTraversed method will be invoked.

See Also:
  `TraverseEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `keyTraversed​(TraverseEvent e)` Sent when a traverse event occurs in a control.

### Method Detail

#### keyTraversed

    void keyTraversed​(TraverseEvent e)

Sent when a traverse event occurs in a control.

A traverse event occurs when the user presses a traversal key. Traversal keys are typically tab and arrow keys, along with certain other keys on some platforms. Traversal key constants beginning with `TRAVERSE_` are defined in the `SWT` class.

Parameters:
  `e` - an event containing information about the traverse